org.jboss.netty.channel

## Interface MessageEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DownstreamMessageEvent, UpstreamMessageEvent

    public interface MessageEvent
    extends ChannelEvent

A `ChannelEvent` which represents the transmission or reception of a message. It can mean the notification of a received message or the request for writing a message, depending on whether it is an upstream event or a downstream event respectively. Please refer to the `ChannelEvent` documentation to find out what an upstream event and a downstream event are and what fundamental differences they have.

### Method Summary

Methods
`Object` `getMessage()` Returns the message.
`SocketAddress` `getRemoteAddress()` Returns the remote address of the message.

### Methods inherited from interface org.jboss.netty.channel.ChannelEvent

`getChannel, getFuture`

### Method Detail

#### getMessage

    Object getMessage()

Returns the message.

#### getRemoteAddress

    SocketAddress getRemoteAddress()

Returns the remote address of the message.